%define	version	3.6.0
%define rel 1
%define codename BlackFri

# NOTE: set prerelease to 0 for official releases, 1 for pre-releases
%define prerelease 0

%if %prerelease
%define release	%mkrel -c %{prerelease} %{rel}
%define tarballver %version-%prerelease
%else
%define release %mkrel %{rel}
%define tarballver %version
%endif

Summary:	Fcitx - Free Chinese Input Toys for X
Name:		fcitx
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Internationalization
URL:		http://www.fcitx.org
Source0:	http://www.fcitx.org/download/%name-3.6.tar.bz2
Patch0:		fcitx-3.6-fix-asneeded.patch
Patch1:		fcitx-3.6.0-winposition.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libx11-devel libxft-devel xpm-devel libxext-devel
Requires:	locales-zh

%description
%{name} is an X input method allowing people to enter simplified Chinese
characters in X environment following XIM standard.

%prep
%setup -q -n %name-3.6
%patch0 -p1
%patch1 -p0 -b .mainwin-position

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0644,-,-) %doc doc/*.txt doc/*.pdf doc/*.htm doc/*.odt
%{_bindir}/*
%{_datadir}/%{name}


%changelog
* Sat Jul 11 2009 Funda Wang <fundawang@mandriva.org> 3.6.0-1mdv2010.0
+ Revision: 394836
- BR xext
- fix linkage
- new version 3.6.0 final

* Sun Jan 18 2009 Funda Wang <fundawang@mandriva.org> 3.6.0-0.rc.1mdv2009.1
+ Revision: 330812
- New version 3.6.0 rc
- rediff winposition patch

* Thu Jun 19 2008 Funda Wang <fundawang@mandriva.org> 3.5-2mdv2009.0
+ Revision: 226418
- add patch for -asneeded
- simplify the BR

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 3.5-1mdv2008.1
+ Revision: 136411
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/

* Thu Jul 19 2007 Funda Wang <fundawang@mandriva.org> 3.5-1mdv2008.0
+ Revision: 53434
- New version

* Fri Jul 06 2007 Funda Wang <fundawang@mandriva.org> 3.5-0.070703.1mdv2008.0
+ Revision: 49152
- New version

* Sun Jul 01 2007 Funda Wang <fundawang@mandriva.org> 3.5-0.070630.1mdv2008.0
+ Revision: 46417
- New version

* Tue May 29 2007 Funda Wang <fundawang@mandriva.org> 3.5-0.070528.1mdv2008.0
+ Revision: 32415
- New snapshot

* Mon May 28 2007 Funda Wang <fundawang@mandriva.org> 3.5-0.070527.1mdv2008.0
+ Revision: 31890
- New version

* Mon May 07 2007 Funda Wang <fundawang@mandriva.org> 3.5-0.070507.1mdv2008.0
+ Revision: 24113
- New upstream version 070507


* Sat Apr 07 2007 Funda Wang <fundawang@mandriva.org> 3.5-0.070403.1mdv2007.1
+ Revision: 150914
- new version upstream.

* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.5-0.070112.1mdv2007.1
+ Revision: 126467
- Import fcitx

* Fri Feb 23 2007 Funda Wang <fundawang@gmail.com> 3.5-0.070112.1mdv2007.1
- New release

* Mon Aug 28 2006 Funda Wang <fundawang@gmail.com> 3.3-1mdv2007.0
- New release
- Killed patch2,3,4,5 (merged upstream)

* Thu Aug 03 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.2.1-2
- add BuildRequires: gettext-devel

* Sun Jul 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.2.1-1mdv2007.0
- fix build requires
- from Funda Wang <fundawang@gmail.com>:
  o new release
  o add patch by wpyh (see http://www.linuxsir.org/bbs/forumdisplay.php?f=42)

* Mon Jun 12 2006 Funda Wang <fundawang@gmail.com> 3.2-1mdv2007.0
- New release 3.2

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 3.1.1-4mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.1.1-3mdk
- Rebuild

* Sun Jul 31 2005 Abel Cheung <deaddog@mandriva.org> 3.1.1-2mdk
- Rebuild to bring it back

* Tue Apr 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.1-1mdk
- new release

* Fri Mar 11 2005 Abel Cheung <deaddog@mandrake.org> 3.0.4-2mdk
- Rebuild

* Mon Feb 28 2005 Abel Cheung <deaddog@mandrake.org> 3.0.4-1mdk 
- new release

* Tue Jan 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.3-1mdk
- new release
- fix rpmlint warning

* Sat Sep 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.0-1mdk
- new release

* Sun Aug 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.2-1mdk
- new release
- drop patch 0

